> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Beacon Chain Withdrawals by Address

> Retrieves beacon chain withdrawals, optionally filtered by address.

export const chain = '1';

<ResponseExample>
  ```json Example response theme={null}
  {
    "status": "1",
    "message": "OK",
    "result": [
      {
        "withdrawalIndex": "13",
        "validatorIndex": "117823",
        "address": "0xb9d7934878b5fb9610b3fe8a5e441e8fad7e293f",
        "amount": "3402931175",
        "blockNumber": "17034877",
        "timestamp": "1681338599"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml openapi/api-reference/endpoint/txsbeaconwithdrawal.json GET /v2/api
openapi: 3.1.0
info:
  title: Get Beacon Chain Withdrawals by Address
  version: 2.0.0
  description: Retrieves beacon chain withdrawals, optionally filtered by address.
  license:
    name: Etherscan API Terms
    url: https://etherscan.io/terms
servers:
  - url: https://api.etherscan.io
    description: Etherscan API.
security:
  - apiKey: []
paths:
  /v2/api:
    get:
      summary: Get Beacon Chain Withdrawals by Address
      description: Retrieves beacon chain withdrawals, optionally filtered by address.
      operationId: getTxsbeaconwithdrawal
      parameters:
        - name: chainid
          in: query
          required: true
          description: >-
            Chain ID to query, eg 1 for Ethereum, 42161 for Arbitrum from our
            [supported chains](/supported-chains).
          schema:
            type: string
          example: '1'
        - name: module
          in: query
          required: true
          description: Set to account for this endpoint.
          schema:
            type: string
            default: account
          example: account
        - name: action
          in: query
          required: true
          description: Set to txsBeaconWithdrawal for this endpoint.
          schema:
            type: string
            default: txsBeaconWithdrawal
          example: txsBeaconWithdrawal
        - name: address
          in: query
          required: false
          description: Address to check for beacon withdrawals.
          schema:
            type: string
          example: '0xB9D7934878B5FB9610B3fE8A5e441e8fad7E293f'
        - name: startblock
          in: query
          required: false
          description: Starting block number to search from.
          schema:
            type: integer
          example: 0
        - name: endblock
          in: query
          required: false
          description: Ending block number to search to.
          schema:
            type: integer
          example: 999999999
        - name: page
          in: query
          required: false
          description: Page number for pagination.
          schema:
            type: integer
          example: 1
        - name: offset
          in: query
          required: false
          description: >-
            Number of records per page. Use the page parameter for subsequent
            records.
          schema:
            type: integer
          example: 100
        - name: sort
          in: query
          required: false
          description: >-
            Sort order either `desc` for the latest transactions first or `asc`
            for the oldest transactions first.
          schema:
            type: string
          example: asc
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: >-
                      1 if the request returned data, 0 otherwise. A status of 0
                      can indicate an error or a valid request that returned no
                      records.
                  message:
                    type: string
                    description: >-
                      OK on success, otherwise an error description such as
                      NOTOK. See [common error
                      messages](/common-error-messages).
                  result:
                    type: array
                    items:
                      type: object
                      properties:
                        withdrawalIndex:
                          type: string
                          description: Global index of the withdrawal.
                        validatorIndex:
                          type: string
                          description: Index of the validator that made the withdrawal.
                        address:
                          type: string
                          description: Address that received the withdrawal.
                        amount:
                          type: string
                          description: >-
                            Amount withdrawn, in gwei. Use the [unit
                            converter](https://etherscan.io/unitconverter) to
                            convert between units.
                        blockNumber:
                          type: string
                          description: Block number in which the withdrawal was included.
                        timestamp:
                          type: string
                          description: >-
                            Time of the withdrawal, as a UNIX timestamp in
                            seconds.
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: query
      name: apikey
      description: >-
        Enter your Etherscan API key, or [set one up](/set-up-your-api-key) if
        you don't have one.

````